


#define BLYNK_TEMPLATE_ID           "TMPL6sOOYvdG"
#define BLYNK_DEVICE_NAME           "mpx"
#define BLYNK_AUTH_TOKEN            "PFH7VmoW3SmGyJHhTt3P03cQgcC7Qef0"

// Comment this out to disable prints and save space
#define BLYNK_PRINT Serial
#define mpx A0


#include <ESP8266WiFi.h>
#include <BlynkSimpleEsp8266.h>

char auth[] = BLYNK_AUTH_TOKEN;

// Your WiFi credentials.
// Set password to "" for open networks.
char ssid[] = "Redmi";
char pass[] = "12345678";
int mpxS=0; //mengumpulkan nilai mpxS dalam bentuk float
float pressure = 0; //
float V = 0; //deskripsi volt
float kpa =0;
float mmhg =0;

BlynkTimer timer;

// This function sends Arduino's up time every second to Virtual Pin (5).
// In the app, Widget's reading frequency should be set to PUSH. This means
// that you define how often to send data to Blynk App.
void myTimerEvent()
{
  // You can send any value at any time.
  // Please don't send more that 10 values per second.
  //Blynk.virtualWrite(V1, millis() / 1000);
}

void setup()
{
  // Debug console
  Serial.begin(115200);

  Blynk.begin(auth, ssid, pass);
}

void loop()
{
  MPX5700();
  Blynk.virtualWrite(V0, kpa);
  Blynk.virtualWrite(V1, pressure); 
  Blynk.run();
  if (pressure < 28 ) {
    Serial.println("sending to Gmail");
    Serial.println("https://www.google.co.id/maps/search/tambal+ban");
    Blynk.logEvent("https://www.google.co.id/maps/search/tambal+ban");
    Blynk.email("safiudinbagus@gmail.com" , "Notifikasi tekanan ban","https://www.google.co.id/maps/search/tambal+ban");
  }
  Serial.println("sended to Gmail");
  delay (2000);
}

void MPX5700(){

  mpxS = analogRead(mpx); //mpxs adalah pembacaan pin analog A0(mpx)
  V = mpxS*(5.0/1023.0); // rumus mencari volt
  kpa=250*(V/5.0);
  kpa =((V / 5)-0.04)/0.0012858; //satua kpa
  if (kpa < 120 ) { kpa = 0; pressure = 0; return; }

  pressure = ((kpa * 0.145)-8); //satuan presure

   
  Serial.print(mpxS);  Serial.println(" adc");
  Serial.print(V);  Serial.println(" volt");
  Serial.print(kpa); Serial.println(" kpa");
  Serial.print(pressure); Serial.println(" psi");
}
